Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder

Enclosing class:
  PublicKeyCredentialDescriptor

public static final class PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder extends Object
Used to create `PublicKeyCredentialDescriptor`

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialDescriptor`
`build()`
Create a new `PublicKeyCredentialDescriptor`
`PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`
`id(Bytes id)`
Sets the `PublicKeyCredentialDescriptor.getId()` property.
`PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`
`transports(Set<AuthenticatorTransport> transports)`
Sets the `PublicKeyCredentialDescriptor.getTransports()` property.
`PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`
`transports(AuthenticatorTransport... transports)`
Sets the `PublicKeyCredentialDescriptor.getTransports()` property.
`PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`
`type(PublicKeyCredentialType type)`
Sets the `PublicKeyCredentialDescriptor.getType()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### type

public PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder type(PublicKeyCredentialType type)
Sets the `PublicKeyCredentialDescriptor.getType()` property.

Parameters:
  `type` - the type
Returns:
  the `PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`

### id

public PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder id(Bytes id)
Sets the `PublicKeyCredentialDescriptor.getId()` property.

Parameters:
  `id` - the id
Returns:
  the `PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`

### transports

public PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder transports(Set<AuthenticatorTransport> transports)
Sets the `PublicKeyCredentialDescriptor.getTransports()` property.

Parameters:
  `transports` - the transports
Returns:
  the `PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`

### transports

public PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder transports(AuthenticatorTransport... transports)
Sets the `PublicKeyCredentialDescriptor.getTransports()` property.

Parameters:
  `transports` - the transports
Returns:
  the `PublicKeyCredentialDescriptor.PublicKeyCredentialDescriptorBuilder`

### build

public PublicKeyCredentialDescriptor build()
Create a new `PublicKeyCredentialDescriptor`

Returns:
  a new `PublicKeyCredentialDescriptor`